#import <appkit/appkit.h>

@interface UHInspectorManager:Object

#define OBJECT_MODE 0
#define REFERENCE_MODE 1

{
	id nameHash;
	id selectView1;
	id selectView2;
	id selectView;
	id buttonSelectView1;
	id buttonSelectView2;
	id buttonSelectView;
	id modeSelectView;
	id window1;
	id window2;
	id window;
	id window1InspectorView;
	id popup;
	id popupButton;
	id popupCellList;
	id objPopup;
	id objPopupButton;
	id objPopupCellList;
	id refPopup;
	id refPopupButton;
	id refPopupCellList;
	id singlePopup;
	id singlePopupButton;
	id singlePopupCellList;
	id modeButton;
	id references;
	id objects;
	id objectList;
	id singleList;
	id inspectorList;
	id currentInspector;
	id selection;
	id requestor;
	id delegate;
	int inspectionMode;
	BOOL listMode;
	BOOL selectionWasEmpty;
	BOOL isDoubleInspectorEnabled;
	const char *currentInspectorLabel;
}

- inspect:anObject;
- inspectList:aList;
- inspect:anObject requestor:aRequestor;
- inspectList:aList requestor:aRequestor;
- showInspector:sender;
- getInspectorFrom:sender;
- currentInspector;
- (const char *)currentInspectorLabel;
- setInspectionMode:(int)mode;
- (int)inspectionMode;
- takeInspectionModeFrom:sender;
- enableDoubleInspector:(BOOL)flag;
- (BOOL)isDoubleInspectorEnabled;
- setButtonTitleForObjects:(char *)aString;
- setButtonTitleForReferences:(char *)aString;
- setDelegate:anObject;
- delegate;
- singleInspectorView;
- singleWindow;
- doubleWindow;
- selection;

@end

@interface Object(UHInspectorManagerDelegate)
- inspectorChanged:sender;
@end
